Package is not compatible with net461

Alexander's Avatar

Alexander

18 Oct, 2017 12:11 AM

https://ci.appveyor.com/project/MonkAlex/mangareader/build/198_MRC-100_chapters_in_db

Nuget errors on build:
Package Avalonia.ReactiveUI 0.5.2-build4115-alpha is not compatible with net461 (.NETFramework,Version=v4.6.1). Package Avalonia.ReactiveUI 0.5.2-build4115-alpha supports: netstandard2.0 (.NETStandard,Version=v2.0)

So, work well on my PC in VS2017. No idea, how it must work.

  1. Support Staff 1 Posted by Ilya Finkelshte... on 18 Oct, 2017 01:38 AM

    Ilya Finkelshteyn's Avatar

    Try to add nuget update -self before nuget restore and let us know if this helps. If yes, it should be not needed after our next build image update.

  2. 2 Posted by Alexander on 18 Oct, 2017 08:54 AM

    Alexander's Avatar

    Thanks, it work now.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac